StatMixHMM-class {flamingos} | R Documentation

## A Reference Class which contains statistics of a mixture of HMM model.

### Description

StatMixHMM contains all the statistics associated to a MixHMM model, in particular the E-Step of the EM algorithm.

### Fields

`tau_ik`

  Matrix of size (n, K) giving the posterior probabilities that the curve y_{i} originates from the k-th HMM model.

`gamma_ikjr`

  Array of size (nm, R, K) giving the posterior probabilities that the observation y_{ij} originates from the r-th regime of the k-th HMM model.

`loglik`

  Numeric. Log-likelihood of the MixHMM model.

`stored_loglik`

  Numeric vector. Stored values of the log-likelihood at each iteration of the EM algorithm.

`klas`

  Row matrix of the labels issued from `tau_ik`. Its elements are klas[i] = z_i, i = 1,…,n.

`z_ik`

  Hard segmentation logical matrix of dimension (n, K) obtained by the Maximum a posteriori (MAP) rule: z_ik = 1 if z_i = arg max_k P(z_{ik} = 1 | y_{i}; Ψ) = tau_ik; 0 otherwise.

`smoothed`

  Matrix of size (m, K) giving the smoothed time series. The smoothed time series are computed by combining the time series y_{i} with both the estimated posterior regime probabilities `gamma_ikjr` and the corresponding estimated posterior cluster probability `tau_ik`. The k-th column gives the estimated mean series of cluster k.

`BIC`

  Numeric. Value of BIC (Bayesian Information Criterion).

`AIC`

  Numeric. Value of AIC (Akaike Information Criterion).

`ICL1`

  Numeric. Value of ICL (Integrated Completed Likelihood Criterion).

`log_alpha_k_fyi`

  Private. Only defined for calculations.

`exp_num_trans`

  Private. Only defined for calculations.

`exp_num_trans_from_l`

  Private. Only defined for calculations.

### Methods

`computeStats(paramMixHMM)`

  Method used in the EM algorithm to compute statistics based on parameters provided by the object `paramMixHMM` of class ParamMixHMM.

`EStep(paramMixHMM)`

  Method used in the EM algorithm to update statistics based on parameters provided by the object `paramMixHMM` of class ParamMixHMM (prior and posterior probabilities).

`MAP()`

  MAP calculates values of the fields `z_ik` and `klas` by applying the Maximum A Posteriori Bayes allocation rule.

  z_ik = 1 if z_i = arg max_k P(z_{ik} = 1 | y_{i};Ψ) = tau_ik; 0 otherwise.

### See Also

ParamMixHMM

[Package flamingos version 0.1.0 Index]